#
# Mod_python is a module that embeds the Python language interpreter
# within the server, allowing Apache handlers to be written in Python.
#

LoadModule python_module /usr/local/lib/httpd/modules/mod_python.so

<Directory "/srv/www/asimux">
    AllowOverride None
    Options  None
#    Options +ExecCGI -Includes
    Options +Includes
    Order allow,deny
    Allow from all
#    AddHandler mod_python .py
#    PythonHandler mod_python.publisher
#    PythonHandler default
    PythonDebug On
    PythonHandler system
    AddHandler python-program .py
    PythonPath "['/srv/www/asimux'] + sys.path"
#    <Files "system.py">
#	PythonHandler system
#    </Files>
    <Files "advsystem.py">
	PythonHandler advsystem
    </Files>
    <Files "host.py">
	PythonHandler host
    </Files>
    <Files "advmpe.py">         
	PythonHandler advmpe         
    </Files>
    <Files "inputs.py">  
	PythonHandler inputs  
    </Files>
    <Files "outputs.py"> 
	PythonHandler outputs  
    </Files>
    <Files "tables.py">
	PythonHandler tables
    </Files>
    <Files "advca.py">    
	PythonHandler advca    
    </Files>
    <Files "advmappings.py">  
	PythonHandler advmappings  
    </Files>
    <Files "advredundancy.py">  
	PythonHandler advredundancy  
    </Files>
    <Files "iptv.py">    
	PythonHandler iptv    
    </Files>
    <Files "ip_destinations.py">    
	PythonHandler ip_destinations
    </Files>
    <Files "destinationx.py">    
	PythonHandler destinationx
    </Files>
    <Files "logs.py">    
	PythonHandler logs    
    </Files>
    <Files "reloadAdmin.py">    
	PythonHandler reloadAdmin
    </Files>
    <Files "inputx.py">
    PythonHandler inputx
    </Files>
</Directory>
			    
ScriptAlias /asimux/ "/srv/www/asimux/"

#<Directory /srv/www/asimux/htdocs/test>
#    AddHandler python-program .py
#    PythonHandler mptest
#    PythonDebug On
#</Directory>

# This will cause files beneath /var/www/html with the extension .spam
# to be handled by the Python script /var/www/html/eggs.py
#
#<Directory /var/www/html>
#    AddHandler python-program .spam
#    PythonHandler eggs
#</Directory>

# This will cause all requests to the /python heirachy of your
# webserver to be handled by the python script /path/to/myhandler.py
#
#<Location /python>
#    SetHandler python-program
#    PythonPath "sys.path + ['/path/to']"
#    PythonHandler myhandler
#</Location>

# This will cause all requests to the /python heirachy of your
# webserver to be handled by mod_python's Publisher handler
# (see http://localhost/manual/mod/mod_python/hand-pub.html)
#
#<Location />
#    SetHandler python-program
#    PythonHandler mod_python.publisher
#</Location>

# This will cause the output of all requests to files beneath
# /var/www/html with the extension .flt to be filtered through
# the Python script /var/www/html/filter.py
#
#<Directory /var/www/html>
#    PythonOutputFilter filter MYFILTER
#    AddOutputFilter MYFILTER .flt
#</Directory>
